<IfModule mod_headers.c>
  <FilesMatch "\.(css|js|jpg|png|webp|woff2?)$">
    Header set Cache-Control "max-age=31536000, public"
  </FilesMatch>
</IfModule>

<IfModule mod_rewrite.c>
  RewriteEngine On
  RewriteBase /

  # routes #

  RewriteCond %{REQUEST_URI} !^/api
  RewriteCond %{REQUEST_URI} !^/sitemap\.xml
  RewriteCond %{REQUEST_FILENAME} !-f
  RewriteCond %{REQUEST_FILENAME} !-d
  RewriteRule ^ /index.html [L]
</IfModule>
